Persistent Volume Claim
createNamespacedPersistentVolumeClaim
V1PersistentVolumeClaim createNamespacedPersistentVolumeClaim(body)
create a PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiCreateNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiCreateNamespacedPersistentVolumeClaimRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See V1PersistentVolumeClaim: /models/core#v1persistentvolumeclaim */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};
const data = await apiInstance.createNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | V1PersistentVolumeClaim | ||
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldManager | [string] | fieldManager is a name associated with the actor or entity that is making these changes. More info | (optional) defaults to undefined |
| fieldValidation | [string] | fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info | (optional) defaults to undefined |
Return type
readNamespacedPersistentVolumeClaim
V1PersistentVolumeClaim readNamespacedPersistentVolumeClaim()
read the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiReadNamespacedPersistentVolumeClaimRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};
const data = await apiInstance.readNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
Return type
listNamespacedPersistentVolumeClaim
V1PersistentVolumeClaimList listNamespacedPersistentVolumeClaim()
list or watch objects of kind PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiListNamespacedPersistentVolumeClaimRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// ...8 more optional parameter(s)
};
const data = await apiInstance.listNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| allowWatchBookmarks | [boolean] | allowWatchBookmarks requests watch events with type "BOOKMARK". More info | (optional) defaults to undefined |
| _continue | [string] | The continue option should be set when retrieving more results from the server. More info | (optional) defaults to undefined |
| fieldSelector | [string] | A selector to restrict the list of returned objects by their fields. Defaults to everything. More info | (optional) defaults to undefined |
| labelSelector | [string] | A selector to restrict the list of returned objects by their labels. Defaults to everything. More info | (optional) defaults to undefined |
| limit | [number] | limit is a maximum number of responses to return for a list call. More info | (optional) defaults to undefined |
| resourceVersion | [string] | resourceVersion sets a constraint on what resource versions a request may be served from. More info | (optional) defaults to undefined |
| resourceVersionMatch | [string] | resourceVersionMatch determines how resourceVersion is applied to list calls. More info | (optional) defaults to undefined |
| sendInitialEvents | [boolean] | sendInitialEvents=true may be set together with watch=true. More info | (optional) defaults to undefined |
| timeoutSeconds | [number] | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info | (optional) defaults to undefined |
| watch | [boolean] | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info | (optional) defaults to undefined |
Return type
readNamespacedPersistentVolumeClaimStatus
V1PersistentVolumeClaim readNamespacedPersistentVolumeClaimStatus()
read status of the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPersistentVolumeClaimStatusRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiReadNamespacedPersistentVolumeClaimStatusRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};
const data = await apiInstance.readNamespacedPersistentVolumeClaimStatus(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
Return type
listPersistentVolumeClaimForAllNamespaces
V1PersistentVolumeClaimList listPersistentVolumeClaimForAllNamespaces()
list or watch objects of kind PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListPersistentVolumeClaimForAllNamespacesRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiListPersistentVolumeClaimForAllNamespacesRequest = {
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// A selector to restrict the list of returned objects by their fields. Defaults to everything. (optional)
fieldSelector: "fieldSelector_example",
// ...8 more optional parameter(s)
};
const data = await apiInstance.listPersistentVolumeClaimForAllNamespaces(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| allowWatchBookmarks | [boolean] | allowWatchBookmarks requests watch events with type "BOOKMARK". More info | (optional) defaults to undefined |
| _continue | [string] | The continue option should be set when retrieving more results from the server. More info | (optional) defaults to undefined |
| fieldSelector | [string] | A selector to restrict the list of returned objects by their fields. Defaults to everything. More info | (optional) defaults to undefined |
| labelSelector | [string] | A selector to restrict the list of returned objects by their labels. Defaults to everything. More info | (optional) defaults to undefined |
| limit | [number] | limit is a maximum number of responses to return for a list call. More info | (optional) defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| resourceVersion | [string] | resourceVersion sets a constraint on what resource versions a request may be served from. More info | (optional) defaults to undefined |
| resourceVersionMatch | [string] | resourceVersionMatch determines how resourceVersion is applied to list calls. More info | (optional) defaults to undefined |
| sendInitialEvents | [boolean] | sendInitialEvents=true may be set together with watch=true. More info | (optional) defaults to undefined |
| timeoutSeconds | [number] | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info | (optional) defaults to undefined |
| watch | [boolean] | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info | (optional) defaults to undefined |
Return type
patchNamespacedPersistentVolumeClaim
V1PersistentVolumeClaim patchNamespacedPersistentVolumeClaim(body)
partially update the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiPatchNamespacedPersistentVolumeClaimRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};
const data = await apiInstance.patchNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | any | ||
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldManager | [string] | fieldManager is a name associated with the actor or entity that is making these changes. More info | (optional) defaults to undefined |
| fieldValidation | [string] | fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info | (optional) defaults to undefined |
| force | [boolean] | Force is going to "force" Apply requests. More info | (optional) defaults to undefined |
Return type
patchNamespacedPersistentVolumeClaimStatus
V1PersistentVolumeClaim patchNamespacedPersistentVolumeClaimStatus(body)
partially update status of the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPersistentVolumeClaimStatusRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiPatchNamespacedPersistentVolumeClaimStatusRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};
const data = await apiInstance.patchNamespacedPersistentVolumeClaimStatus(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | any | ||
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldManager | [string] | fieldManager is a name associated with the actor or entity that is making these changes. More info | (optional) defaults to undefined |
| fieldValidation | [string] | fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info | (optional) defaults to undefined |
| force | [boolean] | Force is going to "force" Apply requests. More info | (optional) defaults to undefined |
Return type
replaceNamespacedPersistentVolumeClaim
V1PersistentVolumeClaim replaceNamespacedPersistentVolumeClaim(body)
replace the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiReplaceNamespacedPersistentVolumeClaimRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See V1PersistentVolumeClaim: /models/core#v1persistentvolumeclaim */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};
const data = await apiInstance.replaceNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | V1PersistentVolumeClaim | ||
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldManager | [string] | fieldManager is a name associated with the actor or entity that is making these changes. More info | (optional) defaults to undefined |
| fieldValidation | [string] | fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info | (optional) defaults to undefined |
Return type
deleteCollectionNamespacedPersistentVolumeClaim
V1Status deleteCollectionNamespacedPersistentVolumeClaim()
delete collection of PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiDeleteCollectionNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiDeleteCollectionNamespacedPersistentVolumeClaimRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
body: { /* See V1DeleteOptions: /models/other#v1deleteoptions */ },
// ...11 more optional parameter(s)
};
const data = await apiInstance.deleteCollectionNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | V1DeleteOptions | ||
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| _continue | [string] | The continue option should be set when retrieving more results from the server. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldSelector | [string] | A selector to restrict the list of returned objects by their fields. Defaults to everything. More info | (optional) defaults to undefined |
| gracePeriodSeconds | [number] | The duration in seconds before the object should be deleted. More info | (optional) defaults to undefined |
| ignoreStoreReadErrorWithClusterBreakingPotential | [boolean] | if set to true, it will trigger an unsafe deletion of the resource in case the normal deletion flow fails with a corrupt object error. More info | (optional) defaults to undefined |
| labelSelector | [string] | A selector to restrict the list of returned objects by their labels. Defaults to everything. More info | (optional) defaults to undefined |
| limit | [number] | limit is a maximum number of responses to return for a list call. More info | (optional) defaults to undefined |
| orphanDependents | [boolean] | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. More info | (optional) defaults to undefined |
| propagationPolicy | [string] | Whether and how garbage collection will be performed. More info | (optional) defaults to undefined |
| resourceVersion | [string] | resourceVersion sets a constraint on what resource versions a request may be served from. More info | (optional) defaults to undefined |
| resourceVersionMatch | [string] | resourceVersionMatch determines how resourceVersion is applied to list calls. More info | (optional) defaults to undefined |
| sendInitialEvents | [boolean] | sendInitialEvents=true may be set together with watch=true. More info | (optional) defaults to undefined |
| timeoutSeconds | [number] | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info | (optional) defaults to undefined |
Return type
deleteNamespacedPersistentVolumeClaim
V1PersistentVolumeClaim deleteNamespacedPersistentVolumeClaim()
delete a PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiDeleteNamespacedPersistentVolumeClaimRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiDeleteNamespacedPersistentVolumeClaimRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. (optional)
gracePeriodSeconds: 1,
body: { /* See V1DeleteOptions: /models/other#v1deleteoptions */ },
// ...3 more optional parameter(s)
};
const data = await apiInstance.deleteNamespacedPersistentVolumeClaim(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | V1DeleteOptions | ||
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| gracePeriodSeconds | [number] | The duration in seconds before the object should be deleted. More info | (optional) defaults to undefined |
| ignoreStoreReadErrorWithClusterBreakingPotential | [boolean] | if set to true, it will trigger an unsafe deletion of the resource in case the normal deletion flow fails with a corrupt object error. More info | (optional) defaults to undefined |
| orphanDependents | [boolean] | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. More info | (optional) defaults to undefined |
| propagationPolicy | [string] | Whether and how garbage collection will be performed. More info | (optional) defaults to undefined |
Return type
replaceNamespacedPersistentVolumeClaimStatus
V1PersistentVolumeClaim replaceNamespacedPersistentVolumeClaimStatus(body)
replace status of the specified PersistentVolumeClaim
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPersistentVolumeClaimStatusRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiReplaceNamespacedPersistentVolumeClaimStatusRequest = {
// name of the PersistentVolumeClaim
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See V1PersistentVolumeClaim: /models/core#v1persistentvolumeclaim */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};
const data = await apiInstance.replaceNamespacedPersistentVolumeClaimStatus(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | V1PersistentVolumeClaim | ||
| name | [string] | name of the PersistentVolumeClaim | defaults to undefined |
| namespace | [string] | object name and auth scope, such as for teams and projects | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| dryRun | [string] | When present, indicates that modifications should not be persisted. More info | (optional) defaults to undefined |
| fieldManager | [string] | fieldManager is a name associated with the actor or entity that is making these changes. More info | (optional) defaults to undefined |
| fieldValidation | [string] | fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info | (optional) defaults to undefined |